Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.operation
Interface OperationCall<Context>

All Known Subinterfaces:
  AggregatorCall<C>, BufferCall<C>, FilterCall<C>, FunctionCall<C>, GroupAssertionCall<C>, ValueAssertionCall<C>

All Known Implementing Classes:
  ConcreteCall

    public interface OperationCall<Context>

Method Summary
`Fields` | `getArgumentFields()` Returns the `Fields` of the expected arguments `TupleEntry`.
`Context` | `getContext()` Returns the user set context object, C.
`void` | `setContext(Context context)` Sets the user defined 'context' object.

Method Detail

### getContext

    Context getContext()

  Returns the user set context object, C.

  Returns:
    user defined object

### setContext

    void setContext(Context context)

  Sets the user defined 'context' object.

  Parameters:
    `context` - user defined object

### getArgumentFields

    Fields getArgumentFields()

  Returns the `Fields` of the expected arguments `TupleEntry`.

  Returns:
    the argumentFields (type Fields) of this OperationCall object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.